Get A Single Listing And Its Current Lifecycle State
GET
https://api.getcovent.com/api/v1/listings/lst_123Retrieve a single listing and its current lifecycle state.
How to Call
Use one of the examples below to call this endpoint from your own integration.
curl -X GET "https://api.getcovent.com/api/v1/listings/lst_123" \
-H "Authorization: Bearer <API_KEY>" \
-H "Accept: application/json"Request
Review headers, parameters, and body fields before calling this endpoint.
AuthorizationstringRequired
Bearer token for the proposed external API contract.
Example: Bearer <API_KEY>AcceptstringRequired
Response format header.
Example: application/jsonidstringRequired
id path parameter.
Example: lst_123Response
200application/jsonidstringRequired
id response field.
Example: lst_123headlinestringRequired
headline response field.
Example: Off-market duplex in central PhoenixstatusstringRequired
status response field.
Example: activeaddressobjectRequired
address response field.
Example: {"street":"101 W Adams St","city":"Phoenix","state":"AZ","zip":"85003"}pricingobjectRequired
pricing response field.
Example: {"asking_price":385000,"assignment_fee":15000}property_detailsobjectRequired
property_details response field.
Example: {"property_type":"duplex","bedrooms":4,"bathrooms":2,"square_feet":1980}metadataobjectRequired
metadata response field.
Example: {"source":"manual","market":"phoenix-az"}created_atstringRequired
created_at response field.
Example: 2026-04-17T20:00:00Zupdated_atstringRequired
updated_at response field.
Example: 2026-04-17T20:00:00ZResponse Example
{
"id": "lst_123",
"headline": "Off-market duplex in central Phoenix",
"status": "active",
"address": {
"street": "101 W Adams St",
"city": "Phoenix",
"state": "AZ",
"zip": "85003"
},
"pricing": {
"asking_price": 385000,
"assignment_fee": 15000
},
"property_details": {
"property_type": "duplex",
"bedrooms": 4,
"bathrooms": 2,
"square_feet": 1980
},
"metadata": {
"source": "manual",
"market": "phoenix-az"
},
"created_at": "2026-04-17T20:00:00Z",
"updated_at": "2026-04-17T20:00:00Z"
}